# !!!!!!!! WARNING THIS HAS TO BE EDITED IN THE SVN !!!!!!!!!!!

%define name numlock
%define version 2.1.1
%define release %mkrel 2

Summary: Numlock key locker
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Url: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/numlock/
Group: System/Configuration/Boot and Init
Source0: %{name}-%{version}.tar.bz2
BuildRequires: libx11-devel
BuildRequires: libxtst-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
# do not require X11 libs
autoReq: no
Requires(post): rpm-helper
Requires(preun): rpm-helper
Obsoletes: NumLock
Provides: NumLock = %{version}-%{release}

%description
NumLock enable to lock the numlock key. Only enable it at boot-time with
ntsysv or with any other SVSR like rc.d config scripts editor such as
tksysv or the ones from GNOME and KDE.
NumLock is safe for laptops since it is disabled by default.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install TOP=$RPM_BUILD_ROOT INITRDDIR=%{_initrddir}

%post
%_post_service numlock

%preun
%_preun_service numlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) /etc/profile.d/%{name}.sh
%config(noreplace) /etc/X11/xinit.d/numlock
/usr/bin/*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(et) %{_mandir}/et/man1/*
%lang(eu) %{_mandir}/eu/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(uk) %{_mandir}/uk/man1/*


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.1-2mdv2009.0
+ Revision: 223354
- rebuild

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 2.1.1-1mdv2008.1
+ Revision: 192055
- fix syntax error in xinit script

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 2.1-1mdv2008.1
+ Revision: 192023
- 2.1
- do not change numlock status on remote displays
  (from Frank Griffin, #15299)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Olivier Blin <oblin@mandriva.com> 2.0-18mdv2008.0
+ Revision: 57669
- remove fileutils/console-tools/glibc requires, they are required by basesystem
- Import numlock




* Tue Aug 22 2006 Pixel <pixel@mandriva.com> 2.0-17mdv2007.0
- add BuildRequires libxtst-devel

* Tue Aug 22 2006 Pixel <pixel@mandriva.com> 2.0-16mdv2007.0
- move out of /usr/X11R6
- moved to SVN

* Wed Mar  8 2006 Olivier Blin <oblin@mandriva.com> 2.0-15mdk
- disable autoReq back (not to require X11 libs)

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 2.0-14mdk
- convert parallel init to LSB
- mkrel
- add missing Requires(preun)

* Mon Jan  2 2006 Olivier Blin <oblin@mandriva.com> 2.0-13mdk
- add url
- use Requires(post) instead of PreReq
- enable rpm autoReq back

* Mon Jan  2 2006 Olivier Blin <oblin@mandriva.com> 2.0-12mdk
- parallel init support

* Mon Feb 28 2005 Olivier Blin <oblin@mandrakesoft.com> 2.0-11mdk
- start numlock before dm service (#6738)

* Fri Dec  3 2004 Olivier Blin <blino@mandrake.org> 2.0-10mdk
- fix description (Rafael)

* Fri Dec  3 2004 Olivier Blin <blino@mandrake.org> 2.0-9mdk
- add nl man page
- test the real lock file /var/lock/subsys/numlock
  (from David MacKenzie, #12558)

* Sat Apr 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-8mdk
- make it lib64 aware

* Thu Feb 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-7mdk
- rebuild

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-6mdk
- fix obsolete-tag Copyright
- resync in cvs

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-5mdk
- fix provides

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0-4mdk
- BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-3mdk
- rebuild

* Thu Mar 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-2mdk
- user post and preun service macros

* Tue Jan  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-1mdk
- really fix the xinit.d file
- reintegrate into CVS

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-11mdk
- fix the xinit.d file, thanks to fcrozat
- get latest code that ensure the numlock is on even if it was already
  on, thx to fcrozat

* Mon Sep 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-10mdk
- tried to really fix numlock for fredl

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-9mdk
- added %%{_initrddir}
- NumLock -> numlock by request of submarine ;-)
- %%config(noreplace)

* Wed Apr 26 2000 Pixel <pixel@mandrakesoft.com> 1.0-8mdk
- force non-requiring XFree86-libs

* Wed Apr 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-7mdk
- launch via /etc/X11/xinit.d

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-6mdk
- Remove the noarch since now we have enable_X11_numlock.
- Cvs import.
- Add enable_X11_numlock program (thanks gg).

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- new groups

* Wed Dec 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in xterm handling (reject /dev/ttya??)

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix chkconfig
- explicitely requires console-tools for touch (this would be the first
  rpm to do this !) and fileutils for setleds (which may have cause problems)

* Fri Oct 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a typo (rpm include the %%setup in the %%description section !!!)
- lowercase the rpm name for Lord DarkChmou

* Fri Oct 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
